org.osgi.framework.dto

## Class BundleDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.dto.BundleDTO

    public class BundleDTO
    extends DTO

Data Transfer Object for a Bundle.

A Bundle can be adapted to provide a `BundleDTO` for the Bundle.

Author:
  $Id$

### Field Summary

Fields
`long` `id` The bundle's unique identifier.
`long` `lastModified` The time when the bundle was last modified.
`int` `state` The bundle's state.
`String` `symbolicName` The bundle's symbolic name.
`String` `version` The bundle's version.

### Constructor Summary

Constructors
Constructor and Description
`BundleDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public long id

The bundle's unique identifier.

See Also:
  `Bundle.getBundleId()`

#### lastModified

    public long lastModified

The time when the bundle was last modified.

See Also:
  `Bundle.getLastModified()`

#### state

    public int state

The bundle's state.

See Also:
  `Bundle.getState()`

#### symbolicName

    public String symbolicName

The bundle's symbolic name.

See Also:
  `Bundle.getSymbolicName()`

#### version

    public String version

The bundle's version.

See Also:
  `Bundle.getVersion()`

### Constructor Detail

#### BundleDTO

    public BundleDTO()